BSON_COMPARE(3)

NAME
bson_compare - bson_compare()

SYNOPSIS

int
bson_compare (const bson_t *bson, const bson_t *other);

PARAMETERS

•   bson: A bson_t.

•   other: A bson_t.

DESCRIPTION

The bson_compare() function shall compare two bson documents for equality.

This can be useful in conjunction with _qsort()_.

If equal, 0 is returned.

TIP: This function uses _memcmp()_ internally, so the semantics are the same.

RETURNS

less than zero, zero, or greater than zero in qsort() style.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc